boost::geometry::concept::MultiPolygon< Geometry > Class Template Reference
geometry concepts: defines and checks concepts for geometries

multi-polygon concept More...

## Detailed Description

### template<typename Geometry>
class boost::geometry::concept::MultiPolygon< Geometry >

multi-polygon concept

Formal definition:
  The multi polygon concept is defined as following:
  - there must be a specialization of traits::tag defining multi_polygon_tag as type
  - it must behave like a Boost.Range
  - its range value must fulfil the Polygon concept

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK